<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'admin', language 'en_us_k12', version '2.5'.
 *
 * @package     admin
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['allowcoursethemes'] = 'Allow class themes';
$string['backup_shortname'] = 'Use class name in backup filename';
$string['backup_shortnamehelp'] = 'Use the class name as part of the backup filename.';
$string['blockprotect_help'] = 'If you lock a particular type of block, then no-one will be able to add or delete instances. (You can, of class, unlock again if you need to edit instances.)

This is intended to protect blocks like the navigation and settings which are very hard to get back if accidentally deleted.';
$string['configallowcategorythemes'] = 'If you enable this, then themes can be set at the category level. This will affect all child categories and classes unless they have specifically set their own theme. WARNING: Enabling category themes may affect performance.';
$string['configallowcoursethemes'] = 'If you enable this, then classes will be allowed to set their own themes.  Class themes override all other theme choices (site, user, or session themes)';
$string['configallowswitch'] = 'Select which roles a user may switch to, based on which roles they already have. In addition to an entry in this table, a user must also have the moodle/role:switchroles capability to be able to switch.<br />Note that it is only possible to switch to roles that have the moodle/class:view capability, and that do not have the moodle/site:doanything capability, so some columns in this table are disabled.';
$string['configallowthemechangeonurl'] = 'If enabled, the theme can be changed by adding either:<br />?theme=themename to any Moodle URL (eg: mymoodlesite.com/?theme=afterburner ) or <br />&theme=themename to any internal Moodle URL (eg: mymoodlesite.com/class/view.php?id=2&theme=afterburner ).';
$string['configallowuserthemes'] = 'If you enable this, then users will be allowed to set their own themes.  User themes override site themes (but not class themes)';
$string['configallusersaresitestudents'] = 'For activities on the front page of the site, should ALL users be considered as students?  If you answer \\"Yes\\", then any confirmed user account will be allowed to participate as a student in those activities.  If you answer \\"No\\", then only users who are already a participant in at least one class will be able to take part in those front page activities. Only admins and specially assigned teachers can act as teachers for these front page activities.';
$string['configautologinguests'] = 'Should visitors be logged in as guests automatically when entering classes with guest access?';
$string['configcourseoverviewfilesext'] = 'A comma-separated list of allowed class summary files extensions.';
$string['configcourseoverviewfileslimit'] = 'The maximum number of files that can be attached to a class summary.';
$string['configcourserequestnotify'] = 'Type username of user to be notified when new class requested.';
$string['configcourserequestnotify2'] = 'Users who will be notified when a class is requested. Only users who can approve class requests are listed here.';
$string['configcoursesperpage'] = 'Enter the number of classes to be displayed per page in a class listing.';
$string['configcourseswithsummarieslimit'] = 'The maximum number of classes to display in a class listing including summaries before falling back to a simpler listing.';
$string['configdefaultrequestcategory'] = 'Classes requested by users will be automatically placed in this category.';
$string['configdefaultrequestedcategory'] = 'Default category to put classes that were requested into, if they\'re approved.';
$string['configdefaultuserroleid'] = 'All logged in users will be given the capabilities of the role you specify here, at the site level, in ADDITION to any other roles they may have been given.  The default is the Authenticated user role.  Note that this will not conflict with other roles they have unless you prohibit capabilities, it just ensures that all users have capabilities that are not assignable at the class level (eg post blog entries, manage own calendar, etc).';
$string['configdndallowtextandlinks'] = 'Enable or disable the dragging and dropping of text and links onto a class page, alongside the dragging and dropping of files. Note that the dragging of text into Firefox or between different browsers is unreliable and may result in no data being uploaded, or corrupted text being uploaded.';
$string['configenablecourserequests'] = 'This will allow any user to request a class be created.';
$string['configenablestats'] = 'If you choose \'yes\' here, Moodle\'s cronjob will process the logs and gather some statistics.  Depending on the amount of traffic on your site, this can take awhile. If you enable this, you will be able to see some interesting graphs and statistics about each of your classes, or on a sitewide basis.';
$string['configforcelogin'] = 'Normally, the front page of the site and the class listings (but not classes) can be read by people without logging in to the site.  If you want to force people to log in before they do ANYTHING on the site, then you should enable this setting.';
$string['configfrontpagecourselimit'] = 'Maximum number of classes';
$string['configfrontpagecourselimithelp'] = 'Maximum number of classes to be displayed on the site\'s front page in class listings.';
$string['configgradebookroles'] = 'This setting allows you to control who appears on the gradebook.  Users need to have at least one of these roles in a class to be shown in the gradebook for that class.';
$string['confighiddenuserfields'] = 'Select which user information fields you wish to hide from other users other than class teachers/admins. This will increase student privacy. Hold CTRL key to select multiple fields.';
$string['configmaxbytes'] = 'This specifies a maximum size that uploaded files can be throughout the whole site. This setting is limited by the PHP settings post_max_size and upload_max_filesize, as well as the Apache setting LimitRequestBody. In turn, maxbytes limits the range of sizes that can be chosen at class level or module level. If \'Server Limit\' is chosen, the server maximum allowed by the server will be used.';
$string['configmaxusersperpage'] = 'Maximum number of users displayed within user selector in class, group, cohort, webservice etc.';
$string['configmycoursesperpage'] = 'Maximum number of classes to display in any list of a user\'s own classes';
$string['confignavcourselimit'] = 'Limits the number of classes shown to the user when they are either not logged in or are not enrolled in any classes.';
$string['confignavshowallcourses'] = 'This setting determines whether users who are enrolled in classes can see Classes (listing all classes) in the navigation, in addition to My Classes (listing classes in which they are enrolled).';
$string['confignavshowcategories'] = 'Show class categories in the navigation bar and navigation blocks. This does not occur with classes the user is currently enrolled in, they will still be listed under myclasses without categories.';
$string['configopentogoogle'] = 'If you enable this setting, then Google will be allowed to enter your site as a Guest.  In addition, people coming in to your site via a Google search will automatically be logged in as a Guest.  Note that this only provides transparent access to classes that already allow guest access.';
$string['configprofilesforenrolledusersonly'] = 'To prevent misuse by spammers, profile descriptions of users who are not yet enrolled in any class are hidden. New users must enroll in at least one class before they can add a profile description.';
$string['configrequestcategoryselection'] = 'Allow the selection of a category when requesting a class.';
$string['configrequestedstudentname'] = 'Word for student used in requested classes';
$string['configrequestedstudentsname'] = 'Word for students used in requested classes';
$string['configrequestedteachername'] = 'Word for teacher used in requested classes';
$string['configrequestedteachersname'] = 'Word for teachers used in requested classes';
$string['configsectionrequestedcourse'] = 'Class requests';
$string['configstatsuserthreshold'] = 'This setting specifies the minimum number of enrolled users for a class to be included in statistics calculations.';
$string['configuseblogassociations'] = 'Should users be able to organize their blog by associating entries with classes and class modules?';
$string['configvisiblecourses'] = 'Display classes in hidden categories normally';
$string['coursecontact'] = 'Class contacts';
$string['coursecontact_desc'] = 'This setting allows you to control who appears on the class description. Users need to have at least one of these roles in a class to be shown on the class description for that class.';
$string['courselistshortnames'] = 'Display extended class names';
$string['courselistshortnames_desc'] = 'If enabled, class short names will be displayed in addition to full names in class lists. If required, extended class names may be customized by editing the \'classextendednamedisplay\' language string using the language customization feature.';
$string['courseoverview'] = 'Class overview';
$string['courserequestnotify'] = 'Class request notification';
$string['courserequestnotifyemail'] = 'User {$a->user} requested a new class at {$a->link}';
$string['courserequests'] = 'Class requests';
$string['courserequestspending'] = 'Pending class requests';
$string['courses'] = 'Classes';
$string['coursesperpage'] = 'Classes per page';
$string['courseswithsummarieslimit'] = 'Classes with summaries limit';
$string['creatornewroleid'] = 'Creators\' role in new classes';
$string['creatornewroleid_help'] = 'If the user does not already have the permission to manage the new class, the user is automatically enrolled using this role.';
$string['defaultformatnotset'] = 'Error determining default class format. Please check site settings.';
$string['defaultrequestcategory'] = 'Default category for class requests';
$string['enablecourserequests'] = 'Enable class requests';
$string['enrolinstancedefaults_desc'] = 'Default enrollment settings in new classes.';
$string['formatuninstallwithcourses'] = 'There are {$a->count} classes using {$a->format}. Their format will be changed to {$a->defaultformat} (default format for this site). Some format-specific data may be lost. Are you sure you want to proceed?';
$string['guestroleid_help'] = 'This role is automatically assigned to the guest user. It is also temporarily assigned to not enrolled users that enter the class via guest enrollment plugin.';
$string['legacyfilesinnewcourses'] = 'Legacy class files in new classes';
$string['legacyfilesinnewcourses_help'] = 'By default, legacy class files areas are available in upgraded classes only. Please note that some features such as activity backup and restore are not compatible with this setting.';
$string['manageformats'] = 'Manage class formats';
$string['mnetrestore_extusers_noadmin'] = '<strong>Note:</strong> This backup file seems to come from a different Moodle installation and contains remote Moodle Network user accounts. You are not allowed to execute this type of restore. Contact the administrator of the site or, alternatively, restore this class without any user information (modules, files...)';
$string['multilangforceold'] = 'Force old multilang syntax: &lt;span&gt; without the class=\\"multilang\\" and &lt;lang&gt;';
$string['mycoursesperpage'] = 'Number of classes';
$string['navadduserpostslinks_help'] = 'If enabled two links will be added to each user in the navigation to view discussions the user has started and posts the user has made in forums throughout the site or in specific classes.';
$string['navcourselimit'] = 'Class limit';
$string['navigationupgrade'] = 'This upgrade introduces two new navigation blocks that will replace these blocks: Administration, Classes, Activities and Participants.  If you had set any special permissions on those blocks you should check to make sure everything is behaving as you want it.';
$string['navshowallcourses'] = 'Show all classes';
$string['navshowcategories'] = 'Show class categories';
$string['navshowfullcoursenames'] = 'Show class full names';
$string['navshowmycoursecategories'] = 'Show my class categories';
$string['navshowmycoursecategories_help'] = 'If enabled classes in the users my classes branch will be shown in categories.';
$string['navsortmycoursessort'] = 'Sort my classes';
$string['navsortmycoursessort_help'] = 'This determines whether classes are listed under My classes according to the sort order (i.e. the order set in Site administration > Classes > Manage classes and categories) or alphabetically by class setting.';
$string['profilingincluded_help'] = 'List of (comma separated, absolute skipping wwwroot, callable) URLs that will be automatically profiled. Examples: /index.php, /class/view.php. Also accepts the * wildchar at any position. Examples: /mod/forum/*, /mod/*/view.php.';
$string['restorernewroleid'] = 'Restorers\' role in classes';
$string['restorernewroleid_help'] = 'If the user does not already have the permission to manage the newly restored class, the user is automatically assigned this role and enrolled if necessary. Select \\"None\\" if you do not want restorers to be able to manage every restored class.';
$string['sort_fullname'] = 'Class full name';
$string['sort_idnumber'] = 'Class ID number';
$string['sort_shortname'] = 'Class short name';
$string['stickyblockscourseview'] = 'Class page';
